﻿var oBrowserVer = {

            
	init: function () {
		this.name = this.searchString(this.dataBrowser) || "An unknown browser";
                  
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| this.searchSafariVersion(navigator.appVersion) 
			|| -999;

                /*this.version =""+this.version;*/
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
		this.pageName = this.getPageName();
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	searchSafariVersion: function(appVersion)
	{
		var safariIdx = Math.max(appVersion.toLowerCase().indexOf("webkit"), appVersion.toLowerCase().indexOf("safari"), 0); 
		var safariVer = parseFloat(appVersion.split("Version/")[1]) || ( ( parseFloat(appVersion.substr(safariIdx+7)) > 419.3 ) ? 3 : 2 ) || 2;
		return safariVer;
	},
	getPageName: function() 
	{
		var page_Path = document.location.href.toLowerCase();
		var page_Query = document.location.search.toLowerCase();
		var page_Sharp = (page_Path.indexOf("#") == -1) ? page_Path.length : page_Path.indexOf("#");

		var page_Name = page_Path.replace(page_Query, "");
		page_Name = page_Name.substring(page_Name.lastIndexOf("/") + 1, page_Sharp);
		return page_Name;
	},
	dataBrowser: [
		{
			string: navigator.userAgent,
			subString: "Chrome",
			identity: "Chrome"
		},
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari",
			versionSearch: "Version"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			   string: navigator.userAgent,
			   subString: "iPhone",
			   identity: "iPhone/iPod"
	    },
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};

oBrowserVer.init();


function browserCheck(lang)
{
	if (oBrowserVer.name.toLowerCase().indexOf("explorer") >= 0 && oBrowserVer.version >= 6)  // the broswer is IE6 or above
	{ 
	}
	else
	{
	/*
		if(lang.toUpperCase() == "TC")
			alert("請使用 Internet Explorer 6.0 或以上瀏覽器，以取得最佳瀏覽效果。");
		else if(lang.toUpperCase() == "SC")	
			alert("请使用 Internet Explorer 6.0 或以上浏览器，以取得最佳浏览效果。");
		else
		    alert("This site is best viewed with Internet Explorer version 6.0 or above.");
			*/
	}
}






