﻿<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/">
		<html>
			<head>
				<LINK REL="stylesheet" TYPE="text/css" HREF="{/Content/@css}" TITLE="style"/>
				<LINK REL="stylesheet" TYPE="text/css" HREF="../include/custom.css" TITLE="style"/>
				<script language="JavaScript" src="../include/entree.js"/>
				<script language="JavaScript" src="../include/custom.js" charset="UTF-8"/>
				<!-- <script language="JavaScript" src="../include/lart.js"/>  -->
				<script language="JavaScript" src="../include/_en_portal.js"/>
				<script language="JavaScript" src="../include/_en_layout.js"/>
				<script language="JavaScript" src="../include/date-picker.js"/>
				<!-- <script language="JavaScript" src="../include/docgen.js"/>  -->
				<script language="JavaScript" src="../include/gridedit.js"/>
        
        <script language="javascript" src="../include/jquery-1.9.1.min.js"></script>
        <script language="javascript" src="../include/jquery.ui.effect.min.js"></script>
        <script language="JavaScript" src="../include/home.js"></script>
          
				<xsl:if test="//Form/@js != '' ">
					<script language="JavaScript" src="{//Form/@js}"/>
				</xsl:if>
			</head>
			<xsl:choose>
				<xsl:when test="//Form/@popup='1'">
					<body class="entreeblue">
						<div class="ly_form_std">
							<xsl:apply-templates select="Content/Form">
								<xsl:with-param name="sty">std</xsl:with-param>
							</xsl:apply-templates>
						</div>
						<script language="JavaScript">
							window.offscreenBuffering = true;
							addLogo();
							<xsl:if test="//Form/@onload != '' ">
								window.onload = <xsl:value-of select="//Form/@onload"/>
							</xsl:if>
							<xsl:if test="//Form/@unload != '' ">
								window.onunload = <xsl:value-of select="//Form/@unload"/>
							</xsl:if>
						</script>
					</body>
				</xsl:when>
				<xsl:otherwise>
					<body>
						<xsl:if test="//Layout/@body">
							<xsl:attribute name="class"><xsl:value-of select="//Layout/@body"/></xsl:attribute>
						</xsl:if>
						<xsl:apply-templates select="Content/Layout"/>
						<script language="JavaScript">
							window.offscreenBuffering = true;
							
							addLogo();
						<xsl:if test="//Form/@onload != '' ">
							window.onload = <xsl:value-of select="//Form/@onload"/>
							</xsl:if>
							window.onunload = exitLogout
							function exitLogout() 
							{
								<xsl:if test="//Form/@unload != '' ">
								<xsl:value-of select="//Form/@unload"/>()</xsl:if>
							}
							
							
						</script>
					</body>
				</xsl:otherwise>
			</xsl:choose>
			<xsl>
				<!--<div style="font-size: 8pt; color: #666666; font-family: Arial; border-top: 1px solid silver; border-bottom: 1px solid silver; border-right: 1px solid silver; border-left: 5px solid #0039ad; padding: 3px; margin-top: 5px; background: #ffffff;">
					<span>
						<xsl:choose>
							<xsl:when test="//Hidden/_language = 'translateTradChinese'">
                請使用 Internet Explorer 6.0 或以上瀏覽器，以取得最佳瀏覽效果。
							</xsl:when>
							<xsl:when test="//Hidden/_language = 'translateSimpChinese'">
                请使用 Internet Explorer 6.0 或以上浏览器，以取得最佳浏览效果。
							</xsl:when>
							<xsl:otherwise>
                This site is best viewed with Internet Explorer version 6.0 or above.
							</xsl:otherwise>
						</xsl:choose>
					</span>
				</div>-->
		</xsl>
		</html>
	</xsl:template>
	<xsl:include href="_en_ly_portal.xsl"/>
	<xsl:include href="_en_Standard_Page.xsl"/>

</xsl:stylesheet>
